Bug 603936 - [Broadcom 6.0 bug] tg3: TX BD corruption can happen on all devices 5755 and newer
[Broadcom 6.0 bug] tg3: TX BD corruption can happen on all devices 5755 and n...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
high Severity high
: rc
: 6.0
Assigned To: John Feeney
Red Hat Kernel QE team
: OtherQA, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 18:32 EDT by Matt Carlson
Modified: 2010-11-15 09:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 09:07:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Carlson 2010-06-14 18:32:31 EDT
Description of problem:

There is a hardware fix that addresses a TX BD corruption bug that applies to all 5755 and newer devices.  Commit b1d0521059789a138d19c4f940d6eca7d620a6eb fixes the problem.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 RHEL Product and Program Management 2010-06-14 19:02:56 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 John Feeney 2010-06-15 13:30:04 EDT
Just for the record, the commit listed in the first comment has the following upstream description:

tg3: Avoid tx lockups on 5755+ devices

In certain edge conditions, internal tx resources can get corrupted.
This patch enables a bit that will fix the problem.
Comment 4 Ben 2010-06-22 01:59:28 EDT
Verified that 5755/57765/5718 can pass stress test without exception.
Comment 5 Ben 2010-06-22 04:24:49 EDT
#comment4 tested on kernel-2.6.32-33.el6.with603936.603933.3 .
Comment 6 Aristeu Rozanski 2010-07-01 12:25:13 EDT
Patch(es) available on kernel-2.6.32-42.el6
Comment 9 Matt Carlson 2010-09-02 19:35:12 EDT
This bug can be hard to trigger.  I think the best we can do is verify that the fix is applied correctly to the tg3 sources.  I have verified that.
Comment 11 releng-rhel@redhat.com 2010-11-15 09:07:35 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.